import React, { createContext, useState } from "react";
export const AuthContext = createContext({
    sessionSigner: null,
    setSessionSigner: () => {
        throw new Error('AuthProvider not initialized, useSIWE/useSIWF must be called inside the AuthProvider.');
    },
    address: null,
    setAddress: () => {
        throw new Error('AuthProvider not initialized, useSIWE/useSIWF must be called inside the AuthProvider.');
    },
});
export const AuthProvider = ({ children }) => {
    const [sessionSigner, setSessionSigner] = useState(null);
    const [address, setAddress] = useState(null);
    return (React.createElement(AuthContext.Provider, { value: { sessionSigner, setSessionSigner, address, setAddress } }, children));
};
