import React from "react";
import { Eip1193Provider, BrowserProvider, EventEmitterable } from "ethers";
import { Canvas } from "@canvas-js/core";
declare global {
    var ethereum: undefined | null | (Eip1193Provider & EventEmitterable<"accountsChanged" | "chainChanged">);
}
export interface ConnectSIWEProps {
    buttonStyles?: React.CSSProperties;
    errorStyles?: React.CSSProperties;
    errorTextStyes?: React.CSSProperties;
    buttonClassName?: string;
    errorClassName?: string;
}
export declare const useSIWE: (app?: Canvas<any>) => {
    ConnectSIWE: ({ buttonStyles, errorStyles, errorClassName, buttonClassName, }?: ConnectSIWEProps) => React.JSX.Element;
    address: string | null;
    error: Error | null;
    provider: BrowserProvider | null;
    connect: (provider: BrowserProvider | null, isBrowserInit?: boolean) => Promise<void>;
    disconnect: () => Promise<void>;
    sessionSigner: import("@canvas-js/interfaces").SessionSigner<any> | null;
    isInitialized: boolean;
};
