import { Canvas, NetworkClient, ModelSchema, Config, ContractAction } from "@canvas-js/core";
import { Contract } from "@canvas-js/core/contract";
/**
 * React hook for Canvas applications using client-to-server sync.
 *
 * @param url The wss:// endpoint to connect to.
 * @param config The application to run inside the hook. If `topic` and
 * `contract` are empty, this will fetch the application contract from
 * `url`, and live-update the local app when the server contract changes.
 */
export declare const useCanvas: <ModelsT extends ModelSchema = ModelSchema, InstanceT extends Contract<ModelsT> = Contract<ModelsT> & Record<string, ContractAction<ModelsT>>>(url: string | null, config?: Config<ModelsT, InstanceT>) => {
    app: Canvas<ModelsT, InstanceT> | undefined;
    ws: NetworkClient<any> | undefined;
    error: Error | undefined;
};
